Bug 1011407 - rhncfg-manager shows differences when using macros
rhncfg-manager shows differences when using macros
Status: CLOSED EOL
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Configuration Management (Show other bugs)
550
Unspecified Linux
unspecified Severity low
: ---
: ---
Assigned To: Jan Dobes
Red Hat Satellite QA List
:
Depends On:
Blocks: 462714
  Show dependency treegraph
 
Reported: 2013-09-24 04:35 EDT by César Alba
Modified: 2017-07-19 07:08 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-19 07:08:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description César Alba 2013-09-24 04:35:56 EDT
Description of problem:

I have a configuration file that uses a macro to get the IP address of a certain interface. Fact is that it complains of deployed file to be different from template when the deployed file is what should be after macro substitutions.

Version-Release number of selected component (if applicable):
rhncfg-management-5.10.27-13.el6sat.noarch

How reproducible:

Always

Steps to Reproduce:
1. rhncfg-manager diff MYFILE -c MYCHANNEL (see results)

Actual results:
[root@ESJC-DSND-PX01P calba]# rhncfg-manager diff  /etc/squid/squid.conf -c pro-dsn-squidext
Using server name esjc-dsnm-lc01p.om.dsn.inet                                                      
--- /etc/squid/squid.conf       2013-09-24 10:18:25     attributes: -rw-r----- root squid system_u:object_r:squid_conf_t:s0        config channel: pro-dsn-squidext        revision: 7                
--- /etc/squid/squid.conf       2013-09-24 10:18:20     attributes: -rw-r----- root squid system_u:object_r:squid_conf_t:s0        config channel: local file      revision: None                     
@@ -91,7 +91,7 @@                                                                                  
 http_access deny all                                                                              
                                                                                                   
 # Squid normally listens to port 3128                                                             
-http_port {|rhn.system.net_interface.ip_address(eth2) |}:6666
+http_port 10.26.204.243:6666
 http_port 127.0.0.1:6666
 
 # We recommend you to use at least the following line.



Expected results:
None and $? equal to 0. File is what is supposed to be.

Additional info:
Comment 1 Tomas Lestach 2015-11-16 11:08:06 EST
Resetting to default owner.
Comment 2 Tomas Lestach 2017-07-19 07:08:40 EDT
We have re-reviewed this bug, as part of an ongoing effort to improve Satellite/Proxy feature and bug updates, review and backlog.
We're closing this Bugzilla due to the Satellite 5 version this bug was reported against having been EOL (End-of-Life) [1].
Please re-open if the issue still exists in the latest Satellite 5 version.

Tomas and Xixi
[1] Satellite Life Cycle page: https://access.redhat.com/support/policy/updates/satellite

Note You need to log in before you can comment on or make changes to this bug.